Package org.globus.ftp

# Class InputStreamDataSink

java.lang.Object
org.globus.ftp.InputStreamDataSink

All Implemented Interfaces:
  `DataSink`

public class InputStreamDataSink extends Object implements DataSink

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CircularBuffer`
`buffers`

## Constructor Summary

Constructors
Constructor
Description
`InputStreamDataSink()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes this data sink and releases any system resources associated with this sink.
`InputStream`
`getInputStream()`
`void`
`write(Buffer buffer)`
Writes the specified buffer to this data sink.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### buffers

protected CircularBuffer buffers

## Constructor Details

### InputStreamDataSink

public InputStreamDataSink()

## Method Details

### write

public void write(Buffer buffer) throws IOException
Description copied from interface: `DataSink`
Writes the specified buffer to this data sink.
Note: `buffer.getOffset()` might return -1 if the transfer mode used does not support data offsets, for example stream transfer mode.

Specified by:
  `write` in interface `DataSink`
Parameters:
  `buffer` - the data buffer to write.
Throws:
  `IOException` - if an I/O error occurs.

### close

public void close() throws IOException
Description copied from interface: `DataSink`
Closes this data sink and releases any system resources associated with this sink.

Specified by:
  `close` in interface `DataSink`
Throws:
  `IOException` - if an I/O error occurs.

### getInputStream

public InputStream getInputStream()